Bug 458245 - Review Request: python-markdown - Markdown implementation in Python
Review Request: python-markdown - Markdown implementation in Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 05:17 EDT by Thomas Moschny
Modified: 2009-09-16 22:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.1-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-08-07 05:17:13 EDT
Spec URL: http://thm.fedorapeople.org/python-markdown.spec
SRPM URL: http://thm.fedorapeople.org/python-markdown-1.7-1.fc9.noarch.rpm

Description:
This is a Python implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.
Comment 1 Jason Tibbitts 2008-08-09 20:36:58 EDT
You seem to have posted a built rpm, not a src.rpm.
Comment 3 Jason Tibbitts 2008-08-10 13:42:00 EDT
Thanks; this looks fine.

* source files match upstream:
   1d11859f79bcf502572ad9e582dbed827f8fca3b6379173a283bc3080a0578d8  
   markdown-1.7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-markdown = 1.7-1.fc10
  =
   /usr/bin/python
   python(abi) = 2.5

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Thomas Moschny 2008-08-10 16:30:47 EDT
Thanks for the review!


New Package CVS Request
=======================
Package Name: python-markdown
Short Description: Markdown implementation in Python
Owners: thm
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-08-11 13:30:21 EDT
cvs done.
Comment 6 Fedora Update System 2008-08-12 11:50:03 EDT
python-markdown-1.7-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-08-12 11:51:27 EDT
python-markdown-1.7-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-09-10 02:35:02 EDT
python-markdown-1.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-markdown'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7580
Comment 9 Fedora Update System 2008-09-10 02:56:35 EDT
python-markdown-1.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-markdown'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7735
Comment 10 Fedora Update System 2008-09-16 19:19:12 EDT
python-markdown-1.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-09-16 19:28:59 EDT
python-markdown-1.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Thomas Moschny 2009-08-26 17:51:12 EDT
Package Change Request
======================
Package Name: python-markdown
New Branches: EL-5
Owners: thm
Comment 13 Kevin Fenzi 2009-08-26 18:37:35 EDT
cvs done.
Comment 14 Fedora Update System 2009-08-27 14:13:50 EDT
python-markdown-2.0.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-markdown-2.0.1-3.el5
Comment 15 Fedora Update System 2009-09-16 22:31:51 EDT
python-markdown-2.0.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.